Skip to navigation

Tax Rates By Postal Code

View as Markdown

Access control: this endpoint is available to users with the everyone role.

This API is only available for a US postal codes.

Usage of this API is subject to rate limits. Users who exceed the rate limit will receive HTTP response code 429 - Too Many Requests.

This API assumes that you are selling general tangible personal property at a retail point-of-sale location in the United States only.

Please be advised that this endpoint is designed for approximate tax rate estimation only and may not yield precise results. For a more powerful and accurate tax estimation, upgrade to the CreateTransaction API, which offers a variety of advanced features including, but not limited to:

  • Nexus declarations
  • Taxability based on product/service type
  • Sourcing rules affecting origin/destination states
  • Customers who are exempt from certain taxes
  • States that have dollar value thresholds for tax amounts
  • Refunds for products purchased on a different date
  • Detailed jurisdiction names and state assigned codes
  • And more!

Please see Estimating Tax with REST v2 for information on how to upgrade to the full AvaTax CreateTransaction API.

Authentication

Authorizationstring
API Key authentication via header

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

countrystringRequired

Name or ISO 3166 code identifying the country.

This field supports many different country identifiers:

  • Two character ISO 3166 codes
  • Three character ISO 3166 codes
  • Fully spelled out names of the country in ISO supported languages
  • Common alternative spellings for many countries

For a full list of all supported codes and names, please see the Definitions API ListCountries.

postalCodestringRequired
The postal code of the location.

Response

Success
totalRatedoubleOptional
The total sales tax rate for general tangible personal property sold at a retail point of presence in this jurisdiction on this date.
rateslist of objectsOptional
The list of individual rate elements for general tangible personal property sold at a retail point of presence in this jurisdiction on this date.

Errors

400
Bad Request Error
401
Unauthorized Error